weka.core.pmml.jaxbbindings

## Enum BASELINETESTSTATISTIC

- java.lang.Object
- - java.lang.Enum<BASELINETESTSTATISTIC>
  - - weka.core.pmml.jaxbbindings.BASELINETESTSTATISTIC

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BASELINETESTSTATISTIC>

      public enum BASELINETESTSTATISTIC
      extends java.lang.Enum<BASELINETESTSTATISTIC>

  Java class for BASELINE-TEST-STATISTIC.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="BASELINE-TEST-STATISTIC">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="zValue"/>
           <enumeration value="chiSquareIndependence"/>
           <enumeration value="chiSquareDistribution"/>
           <enumeration value="CUSUM"/>
           <enumeration value="scalarProduct"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHI_SQUARE_DISTRIBUTION`
    `CHI_SQUARE_INDEPENDENCE`
    `CUSUM`
    `SCALAR_PRODUCT`
    `Z_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BASELINETESTSTATISTIC` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static BASELINETESTSTATISTIC` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BASELINETESTSTATISTIC[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHI_SQUARE_DISTRIBUTION

          public static final BASELINETESTSTATISTIC CHI_SQUARE_DISTRIBUTION

    - #### CHI_SQUARE_INDEPENDENCE

          public static final BASELINETESTSTATISTIC CHI_SQUARE_INDEPENDENCE

    - #### CUSUM

          public static final BASELINETESTSTATISTIC CUSUM

    - #### SCALAR_PRODUCT

          public static final BASELINETESTSTATISTIC SCALAR_PRODUCT

    - #### Z_VALUE

          public static final BASELINETESTSTATISTIC Z_VALUE

  - ### Method Detail

    - #### values

          public static BASELINETESTSTATISTIC[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BASELINETESTSTATISTIC c : BASELINETESTSTATISTIC.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BASELINETESTSTATISTIC valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static BASELINETESTSTATISTIC fromValue(java.lang.String v)